curl --location --request PUT 'https://api.stateset.com/v1/case' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": ""
}'
mutation (
$id: String
$casex: cases_set_input!
) {
update_cases (
where: { id : { _eq: $id }}
_set: $casex
) {
returning {
id
caseName
caseNumber
caseStatus
description
priority
resolver
submitter
}
}
}
const created = await stateset.case.update({
id: "",
});
{
"data": {
"update_cases": {
"returning": [
{
"id": "0x0",
"caseName": "Case Name",
"caseNumber": "Case Number",
"description": "Case Description",
"caseStatus": "Case Status",
"priority": "Case Priority",
"submitter": "Submitter",
"resolver": "Resolver"
}
]
}
}
}
This endpoint updates a cases
POST
/
v1
/
cases
curl --location --request PUT 'https://api.stateset.com/v1/case' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": ""
}'
mutation (
$id: String
$casex: cases_set_input!
) {
update_cases (
where: { id : { _eq: $id }}
_set: $casex
) {
returning {
id
caseName
caseNumber
caseStatus
description
priority
resolver
submitter
}
}
}
const created = await stateset.case.update({
id: "",
});
{
"data": {
"update_cases": {
"returning": [
{
"id": "0x0",
"caseName": "Case Name",
"caseNumber": "Case Number",
"description": "Case Description",
"caseStatus": "Case Status",
"priority": "Case Priority",
"submitter": "Submitter",
"resolver": "Resolver"
}
]
}
}
}
Body
string
This is the ID of the case to update.
Response
string
This is the id of the case
string
This is the name of the case
string
This is the description of the case
string
This is the number of the case
string
This is the status of the case
string
This is the priority of the case
string
This is the submitter of the case
string
This is the resolver of the case
string
This is the date the case was created
string
This is the date the case was updated
curl --location --request PUT 'https://api.stateset.com/v1/case' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": ""
}'
mutation (
$id: String
$casex: cases_set_input!
) {
update_cases (
where: { id : { _eq: $id }}
_set: $casex
) {
returning {
id
caseName
caseNumber
caseStatus
description
priority
resolver
submitter
}
}
}
const created = await stateset.case.update({
id: "",
});
{
"data": {
"update_cases": {
"returning": [
{
"id": "0x0",
"caseName": "Case Name",
"caseNumber": "Case Number",
"description": "Case Description",
"caseStatus": "Case Status",
"priority": "Case Priority",
"submitter": "Submitter",
"resolver": "Resolver"
}
]
}
}
}
โI